=== debian/changelog ===
glite-lb-utils (2.2.1-4) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:54:44 +0200
