=== debian/control ===
Source: glite-lb-utils
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, glite-lb-types, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-trio-dev
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-utils
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: gLite Logging and Bookkeeping auxiliary utilities
 glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
 purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
 to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
 (glite-lb-statistics).

Package: glite-lb-utils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-utils (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B utils debugging symbols
 This package contains debugging symbols for gLite L&B utils.
