## glite-lb-utils 2.2.2

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 PREFIX=/opt/glite
 prefix=
 
-expat_prefix=/opt/expat
 gsoap_prefix=/opt/gsoap
 
 -include Makefile.inc
@@ -25,11 +24,6 @@
 
 DEBUG:=-g -O0 -Wall
 
-ifneq (${expat_prefix},/usr)
-	expatlib := -L${expat_prefix}/${libdir} -L${expat_prefix}/lib
-endif
-EXPAT_CFLAGS?=-I${expat_prefix}/include
-EXPAT_LIB?=${expatlib} -lexpat
 GSOAP_CFLAGS?=-I${gsoap_prefix}/include -I${gsoap_prefix}/
 
 CFLAGS:= ${CFLAGS} \
@@ -37,7 +31,6 @@
 	-DVERSION=\"${version}\" \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	-I${top_srcdir}/interface \
-	${EXPAT_CFLAGS} \
 	${GSOAP_CFLAGS} \
 	${COVERAGE_FLAGS} \
 	-D_GNU_SOURCE
@@ -51,7 +44,7 @@
 LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
 XSLTPROC:=xsltproc --novalid
 
-EXT_LIBS:= ${EXPAT_LIBS}
+EXT_LIBS:=
 
 ifeq (${thrflavour},)
 COMMON_LIB:=-lglite_lb_common
@@ -65,8 +58,14 @@
 JP_LIBS:=-lglite_jp_common_${nothrflavour}
 endif
 
-UTILS:=mon purge dump load dump_exporter
-ALLUTILS:=${UTILS} state_history statistics
+os=${shell uname}
+DL_LIBS=
+ifeq (${os},Linux)
+	DL_LIBS=-ldl
+endif
+
+UTILS:=purge dump load
+ALLUTILS:=${UTILS} mon dump_exporter state_history statistics
 STATISTICS_OBJS:=statistics.o process_attrs.o process_attrs2.o
 
 MAN_GZ:=glite-lb-mon.1.gz
@@ -81,11 +80,17 @@
 ${UTILS}: %: %.o
 	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_lbu_maildir
 
+mon: %: %.o
+	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_jobid
+
+dump_exporter: %: %.o
+	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_jobid -lglite_lbu_maildir
+
 statistics: ${STATISTICS_OBJS}
-	${LINK} -rdynamic -o $@ ${STATISTICS_OBJS} ${COMMON_LIB} ${JP_LIBS} ${EXT_LIBS} 
+	${LINK} -rdynamic -o $@ ${STATISTICS_OBJS} ${COMMON_LIB} ${JP_LIBS} ${EXT_LIBS} -lglite_lbu_trio ${DL_LIBS}
 
 state_history: state_history.o
-	${LINK} -o $@ state_history.o -lglite_lb_statemachine ${PLUS_LIB}
+	${LINK} -o $@ state_history.o -lglite_jobid ${COMMON_LIB} ${CLIENT_LIB} -lglite_lb_statemachine ${PLUS_LIB}
 
 check: compile
