=== debian/changelog ===
glite-lb-utils (2.2.2-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:26:16 +0200
