=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils-2.2.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils-2.2.2 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-utils; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
