## glite-lb-utils 2.3.1

=== Makefile ===
--- 
+++ 
@@ -10,12 +10,21 @@
 
 gsoap_prefix=/opt/gsoap
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
+
+SOURCES=\
+	doc/*.1 doc/*.8 doc/README.* \
+	examples/glite-lb-* \
+	src/*.c src/*.c.T src/*.sh \
+	LICENSE Makefile
+SOURCES_EXEC=examples/*.sh src/*.sh
 
 CC=gcc
 AT3=${stagedir}${prefix}/sbin/glite-lb-at3
@@ -25,15 +34,17 @@
 DEBUG:=-g -O0 -Wall
 
 GSOAP_CFLAGS?=-I${gsoap_prefix}/include -I${gsoap_prefix}/
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 
-CFLAGS:= ${CFLAGS} \
+CFLAGS:= \
 	${WS_CFLAGS} ${DEBUG} \
 	-DVERSION=\"${version}\" \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	-I${top_srcdir}/interface \
 	${GSOAP_CFLAGS} \
 	${COVERAGE_FLAGS} \
-	-D_GNU_SOURCE
+	-D_GNU_SOURCE ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
+
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
@@ -72,8 +83,6 @@
 MAN8_GZ:=glite-lb-purge.8.gz
 MAN = $(MAN_GZ:.gz=)
 MAN8 = $(MAN8_GZ:.gz=)
-
-default: all
 
 compile all: ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ}
 
@@ -125,6 +134,7 @@
 
 clean:
 	rm -rfv ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ} *.lo *.o .libs/
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
