## glite-lb-utils 2.3.8

=== debian/changelog ===
glite-lb-utils (2.3.8-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:08 +0200
