=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-utils
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lb-state-machine-plugins
 Description: gLite Logging and Bookkeeping auxiliary utilities
  glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
  purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
@@ -25,5 +25,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-utils (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B utils debugging symbols
+Description: Debugging symbols for gLite L&B utils
  This package contains debugging symbols for gLite L&B utils.
