=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
 	mkdir -p debian/$(p_dbg)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-utils-2.3.6 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/glite-lb-utils-2.3.8 debian/$(p_base)/usr/share/doc/$(p_base)
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 
 binary-indep:
