## glite-lb-utils 2.3.11

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
 
 SOURCES=\
-	doc/*.1 doc/*.8 doc/README.* \
+	doc/*.1 doc/README.* \
 	examples/glite-lb-* \
 	src/*.c src/*.c.T src/*.sh \
 	Makefile
@@ -49,10 +49,9 @@
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
-LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS} 
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
-LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
 XSLTPROC:=xsltproc --novalid
 
 EXT_LIBS:=
@@ -79,12 +78,10 @@
 ALLUTILS:=${UTILS} mon dump_exporter state_history statistics
 STATISTICS_OBJS:=statistics.o process_attrs.o process_attrs2.o
 
-MAN_GZ:=glite-lb-mon.1.gz
-MAN8_GZ:=glite-lb-dump.8.gz glite-lb-load.8.gz glite-lb-purge.8.gz
+MAN_GZ:=glite-lb-bkpurge-offline.1.gz glite-lb-dump.1.gz glite-lb-dump_exporter.1.gz glite-lb-load.1.gz glite-lb-purge.1.gz glite-lb-mon.1.gz glite-lb-state_history.1.gz glite-lb-statistics.1.gz
 MAN = $(MAN_GZ:.gz=)
-MAN8 = $(MAN8_GZ:.gz=)
 
-compile all: ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ}
+compile all: ${ALLUTILS} ${MAN_GZ}
 
 ${UTILS}: %: %.o
 	${LINK} -o $@ $< ${COMMON_LIB} ${CLIENT_LIB} ${EXT_LIBS} -lglite_lbu_maildir
@@ -103,12 +100,9 @@
 
 check: compile 
 
-doc: ${MAN_GZ} ${MAN8_GZ}
+doc: ${MAN_GZ}
 
 %.1.gz: %.1
-	gzip -9 -f -c $< > $@
-
-%.8.gz: %.8
 	gzip -9 -f -c $< > $@
 
 stage: compile
@@ -118,10 +112,8 @@
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin 
 	-mkdir -p ${DESTDIR}${PREFIX}${docdir}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man1
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	${INSTALL} -m 644 ${top_srcdir}/doc/README* ${DESTDIR}${PREFIX}${docdir}
 	${INSTALL} -m 644 ${MAN_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man1
-	${INSTALL} -m 644 ${MAN8_GZ} ${DESTDIR}${PREFIX}${prefix}/share/man/man8
 	${INSTALL} -m 755 ${top_srcdir}/src/glite-lb-bkpurge-offline.sh ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-bkpurge-offline
 
 	for p in ${ALLUTILS} ; do \
@@ -129,7 +121,7 @@
 	done
 
 clean:
-	rm -rfv ${ALLUTILS} ${MAN_GZ} ${MAN8_GZ} *.lo *.o .libs/
+	rm -rfv ${ALLUTILS} ${MAN_GZ} *.lo *.o .libs/
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
