=== debian/control ===
Source: glite-lb-utils
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), glite-lb-types, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-jp-interface-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch

Package: glite-lb-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lb-state-machine-plugins
Description: gLite Logging and Bookkeeping auxiliary utilities
 glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
 purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
 to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
 (glite-lb-statistics).

Package: glite-lb-utils-dbg
Section: debug
Architecture: any
Depends: glite-lb-utils (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B utils
 glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
 purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
 to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
 (glite-lb-statistics).
 .
 This package contains debugging symbols for gLite L&B utils.
