=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.utils/glite-lb-utils-(.*)\.tar\.gz
